MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028726Community[OCCT] OCCT:Codingpublic2017-05-10 16:162017-08-24 15:09
ReporterVico Liang 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version 
Summary0028726: Quantity_NameOfColor should be replaced by Quantity_Color in function input argument
DescriptionThere are two ways to present color in OCCT: Quantity_NameOfColor and Quantity_Color. These two kinds of colors both are used in interfaces as below;

It's not the best practice for programer and also it increases the maintainance overhead. Quantity_NameOfColor is a approximate of Quantity_Color, it's impossible to list all colors with enum type. Why not make the interface simple?

class AIS_InteractiveObject
      virtual Quantity_NameOfColor Color() const;
      virtual void Color (Quantity_Color& theColor) const;
      virtual void SetColor (const Quantity_Color& aColor);
      virtual void SetColor (const Quantity_NameOfColor aColor);

class AIS_InteractiveContext
         Quantity_NameOfColor PreSelectionColor() const;
         Quantity_NameOfColor DefaultColor() const;
         const Quantity_Color& SubIntensityColor() const;
         void SetSubIntensityColor (const Quantity_Color& theColor);
         void SetPreselectionColor (const Quantity_NameOfColor aCol);
         Quantity_NameOfColor Color (const Handle(AIS_InteractiveObject)& aniobj) const;
         void Color (const Handle(AIS_InteractiveObject)& aniobj, Quantity_Color& acolor) const;





TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0065854)
git (administrator)
2017-05-11 18:11

Branch CR28726 has been created by kgv.

SHA-1: a07e08ae65997b1b5c889688d371cd37ced7e551


Detailed log of new commits:

Author: kgv
Date: Thu May 11 18:10:53 2017 +0300

    0028726: Quantity_NameOfColor should be replaced by Quantity_Color in function input argument
    
    AIS_InteractiveObject, virtual methods ::SetColor(), ::Color()
    returning/accepting Quantity_NameOfColor have been removed.
    Virtual method ::SetMaterial() accepting Graphic3d_NameOfMaterial has been also removed.
    
    V3d_View, V3d_Viewer, V3d_AmbientLight, V3d_DirectionalLight,
    V3d_Light, V3d_PositionalLight, V3d_SpotLight, Aspect_Window,
    methods accepting Quantity_NameOfColor have been removed (duplicates)
    or color argument(s) replaced with Quantity_Color.
(0065856)
kgv (developer)
2017-05-11 18:19

Patch is ready for review.
(0066346)
san (developer)
2017-05-19 18:33

Branch CR28726 reviewed in occt and occt-products repositories, ready for testing.
(0066351)
git (administrator)
2017-05-19 19:28

Branch CR28726 has been updated forcibly by mkv.

SHA-1: 34c461cbc52c2606dbf9bf5901156dcc102f8b25
(0066409)
mkv (tester)
2017-05-22 17:07

Dear BugMaster,
Branch CR28726 from occt git-repository (and CR28726 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 34c461cbc52c2606dbf9bf5901156dcc102f8b25
SHA-1: c09b1e2c85adb5b2607d6d1ae7673156a094912c

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1194

There are compilation errors on Linux platform in samples:
http://jenkins-test-07.nnov.opencascade.com:8080/view/CR28726-CR28726/job/CR28726-CR28726-OCCT-Debian70-64-qt-samples-linux/2/parsed_console/ [^]
../Common/src/DocumentCommon.cxx:187:49: error: no matching function for call to 'AIS_InteractiveContext::Color(opencascade::handle<AIS_InteractiveObject>&)'

http://jenkins-test-07.nnov.opencascade.com:8080/view/CR28726-CR28726/job/CR28726-CR28726-Products-Debian70-64-qt-samples-linux/2/parsed_console/ [^]
../../../../OCCT/samples/qt/Common/src/DocumentCommon.cxx:187:49: error: no matching function for call to 'AIS_InteractiveContext::Color(opencascade::handle<AIS_InteractiveObject>&)'


There are compilation errors on Windows platform in samples:
http://jenkins-test-07.nnov.opencascade.com:8080/view/CR28726-CR28726/job/CR28726-CR28726-OCCT-Windows-64-VC10-csharp-samples/2/parsed_console/ [^]
1>OCCTProxy.cpp(539): error C2660: 'AIS_InteractiveContext::Color' : function does not take 1 arguments

http://jenkins-test-07.nnov.opencascade.com:8080/view/CR28726-CR28726/job/CR28726-CR28726-OCCT-Windows-64-VC10-mfc-samples/2/parsed_console/ [^]
1>..\..\..\..\Common\OCC_3dBaseDoc.cpp(267): error C2660: 'AIS_InteractiveContext::Color' : function does not take 1 arguments

http://jenkins-test-07.nnov.opencascade.com:8080/view/CR28726-CR28726/job/CR28726-CR28726-OCCT-Windows-64-VC10-qt-samples-windows/2/parsed_console/ [^]
1>..\Common\src\DocumentCommon.cxx(187): error C2660: 'AIS_InteractiveContext::Color' : function does not take 1 arguments

http://jenkins-test-07.nnov.opencascade.com:8080/view/CR28726-CR28726/job/CR28726-CR28726-Products-Windows-64-VC10-csharp-samples/2/parsed_console/ [^]
d:\install\CR28726-CR28726\Windows-64-VC10-opt\Products\samples\csharp\ImportExport\OCCViewer.cs(244,7): error CS1502: The best overloaded method match for 'AIS.AIS_InteractiveContext.SetColor(AIS.AIS_InteractiveObject, Quantity.Quantity_Color, bool)' has some invalid arguments
d:\install\CR28726-CR28726\Windows-64-VC10-opt\Products\samples\csharp\ImportExport\OCCViewer.cs(244,54): error CS1503: Argument 2: cannot convert from 'Quantity.Quantity_NameOfColor' to 'Quantity.Quantity_Color'
d:\install\CR28726-CR28726\Windows-64-VC10-opt\Products\samples\csharp\ImportExport\OCCViewer.cs(258,50): error CS1501: No overload for method 'Color' takes 1 arguments
d:\install\CR28726-CR28726\Windows-64-VC10-opt\Products\samples\csharp\ImportExport\OCCViewer.cs(258,31): error CS1502: The best overloaded method match for 'Quantity.Quantity_Color.Quantity_Color(Quantity.Quantity_NameOfColor)' has some invalid arguments
d:\install\CR28726-CR28726\Windows-64-VC10-opt\Products\samples\csharp\ImportExport\OCCViewer.cs(258,50): error CS1503: Argument 1: cannot convert from 'void' to 'Quantity.Quantity_NameOfColor'
d:\install\CR28726-CR28726\Windows-64-VC10-opt\Products\samples\csharp\ImportExport\OCCViewer.cs(284,7): error CS1502: The best overloaded method match for 'AIS.AIS_InteractiveContext.SetMaterial(AIS.AIS_InteractiveObject, Graphic3d.Graphic3d_MaterialAspect, bool)' has some invalid arguments
d:\install\CR28726-CR28726\Windows-64-VC10-opt\Products\samples\csharp\ImportExport\OCCViewer.cs(284,58): error CS1503: Argument 2: cannot convert from 'Graphic3d.Graphic3d_NameOfMaterial' to 'Graphic3d.Graphic3d_MaterialAspect'

http://jenkins-test-07.nnov.opencascade.com:8080/view/CR28726-CR28726/job/CR28726-CR28726-Products-Windows-64-VC10-java-samples/2/parsed_console/ [^]
d:\install\CR28726-CR28726\Windows-64-VC10-opt\Products\samples\java\ImportExport\src\main\java\com\opencascade\samples\importexport\SampleImportExportPanel.java:889: error: method Color in class AIS_InteractiveContext cannot be applied to given types;
                            myAISContext.Color(myAISContext.Current()));
                                        ^
  required: AIS_InteractiveObject,Quantity_Color
  found: AIS_InteractiveObject
  reason: actual and formal argument lists differ in length
d:\install\CR28726-CR28726\Windows-64-VC10-opt\Products\samples\java\ImportExport\src\main\java\com\opencascade\samples\importexport\SampleImportExportPanel.java:930: error: incompatible types: Graphic3d_NameOfMaterial cannot be converted to Graphic3d_MaterialAspect
                        Graphic3d_NameOfMaterial.swigToEnum(material), true);
                                                           ^
d:\install\CR28726-CR28726\Windows-64-VC10-opt\Products\samples\java\ImportExport\src\main\java\com\opencascade\samples\importexport\MaterialDlg.java:102: error: incompatible types: Graphic3d_NameOfMaterial cannot be converted to Graphic3d_MaterialAspect
                myAISContext.SetMaterial(myAISContext.Current(), material, true);
                                                                 ^
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.
Note: Some messages have been simplified; recompile with -Xdiags:verbose to get full output
3 errors

http://jenkins-test-07.nnov.opencascade.com:8080/view/CR28726-CR28726/job/CR28726-CR28726-Products-Windows-64-VC10-mfc-samples/2/parsed_console/ [^]
1>..\Common\OCC_3dBaseDoc.cpp(239): error C2660: 'AIS_InteractiveContext::Color' : function does not take 1 arguments

http://jenkins-test-07.nnov.opencascade.com:8080/view/CR28726-CR28726/job/CR28726-CR28726-Products-Windows-64-VC10-qt-samples-windows/2/parsed_console/ [^]
1>..\..\..\..\OCCT\samples\qt\Common\src\DocumentCommon.cxx(187): error C2660: 'AIS_InteractiveContext::Color' : function does not take 1 arguments

http://jenkins-test-07.nnov.opencascade.com:8080/view/CR28726-CR28726/job/CR28726-CR28726-Products-Windows-64-VC10-training/2/parsed_console/ [^]
1>OCAFExerciseDoc.cpp(212): error C2660: 'AIS_InteractiveContext::Color' : function does not take 1 arguments

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 92095595 / 91644435 [+0.49%]
Total CPU difference: 18886.20000000027 / 18661.090000000342 [+1.21%]
products component :
Total MEMORY difference: 31289297 / 31347866 [-0.19%]
Total CPU difference: 5407.23999999998 / 5401.239999999972 [+0.11%]
Testing on Windows:
occt component :
Total MEMORY difference: 58431221 / 58426283 [+0.01%]
Total CPU difference: 17401.39674669862 / 17319.43382129878 [+0.47%]
products component :
Total MEMORY difference: 22719502 / 22681228 [+0.17%]
Total CPU difference: 5335.546201999976 / 5370.256424499971 [-0.65%]

There are no differences in images found by testdiff.
(0066410)
mkv (tester)
2017-05-22 17:08

Dear kgv,
Branch CR28726 has been rejected due to:
- compilation errors in samples:
(0066419)
git (administrator)
2017-05-22 18:25

Branch CR28726 has been updated forcibly by kgv.

SHA-1: a07e08ae65997b1b5c889688d371cd37ced7e551
(0066420)
git (administrator)
2017-05-22 18:26

Branch CR28726 has been updated by kgv.

SHA-1: e26009c53d9a5751a265d8f6d5bc0d50949c1921


Detailed log of new commits:

Author: kgv
Date: Mon May 22 18:26:17 2017 +0300

    // fix samples compilation

(0066421)
git (administrator)
2017-05-22 18:28

Branch CR28726_1 has been created by kgv.

SHA-1: e6a71b6e34d2dddc1e03441614f775d26dc81ccf


Detailed log of new commits:

Author: kgv
Date: Thu May 11 18:10:53 2017 +0300

    0028726: Quantity_NameOfColor should be replaced by Quantity_Color in function input argument
    
    AIS_InteractiveObject, virtual methods ::SetColor(), ::Color()
    returning/accepting Quantity_NameOfColor have been removed.
    Virtual method ::SetMaterial() accepting Graphic3d_NameOfMaterial has been also removed.
    
    V3d_View, V3d_Viewer, V3d_AmbientLight, V3d_DirectionalLight,
    V3d_Light, V3d_PositionalLight, V3d_SpotLight, Aspect_Window,
    methods accepting Quantity_NameOfColor have been removed (duplicates)
    or color argument(s) replaced with Quantity_Color.
(0066426)
git (administrator)
2017-05-22 19:36

Branch CR28726_1 has been updated forcibly by kgv.

SHA-1: 534e8677b7290ed30d704bd299338429a70e8df8
(0066429)
kgv (developer)
2017-05-22 19:39

Please check samples within updated patch.
Regression testing is not needed.
(0066436)
mkv (tester)
2017-05-23 10:33

Dear BugMaster,
Branch CR28726_1 from occt git-repository (and CR28726_1 from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: 534e8677b7290ed30d704bd299338429a70e8df8
SHA-1: 9bd27aec29b948926477baf535b54d1597443877

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1206

There are compilation errors on Windows platform in samples:
http://jenkins-test-07.nnov.opencascade.com:8080/view/CR28726_1-CR28726_1/job/CR28726_1-CR28726_1-Products-Windows-64-VC10-csharp-samples/1/parsed_console/ [^]
d:\install\CR28726_1-CR28726_1\Windows-64-VC10-opt\Products\samples\csharp\ImportExportWPF\ImportTool.cs(78,7): error CS1502: The best overloaded method match for 'AIS.AIS_InteractiveObject.SetMaterial(Graphic3d.Graphic3d_MaterialAspect)' has some invalid arguments
d:\install\CR28726_1-CR28726_1\Windows-64-VC10-opt\Products\samples\csharp\ImportExportWPF\ImportTool.cs(78,25): error CS1503: Argument 1: cannot convert from 'Graphic3d.Graphic3d_NameOfMaterial' to 'Graphic3d.Graphic3d_MaterialAspect'
Compile complete -- 2 errors, 0 warnings

http://jenkins-test-07.nnov.opencascade.com:8080/view/CR28726_1-CR28726_1/job/CR28726_1-CR28726_1-Products-Windows-64-VC10-java-samples/1/parsed_console/ [^]
d:\install\CR28726_1-CR28726_1\Windows-64-VC10-opt\Products\samples\java\ImportExport\src\main\java\com\opencascade\samples\importexport\SampleImportExportPanel.java:926: error: cannot find symbol
        Graphic3d_MaterialAspect aMaterial = new Graphic3d_MaterialAspect (Graphic3d_NameOfMaterial.swigToEnum(material));
        ^
  symbol: class Graphic3d_MaterialAspect
  location: class SampleImportExportPanel
d:\install\CR28726_1-CR28726_1\Windows-64-VC10-opt\Products\samples\java\ImportExport\src\main\java\com\opencascade\samples\importexport\SampleImportExportPanel.java:926: error: cannot find symbol
        Graphic3d_MaterialAspect aMaterial = new Graphic3d_MaterialAspect (Graphic3d_NameOfMaterial.swigToEnum(material));
                                                 ^
  symbol: class Graphic3d_MaterialAspect
  location: class SampleImportExportPanel
d:\install\CR28726_1-CR28726_1\Windows-64-VC10-opt\Products\samples\java\ImportExport\src\main\java\com\opencascade\samples\importexport\MaterialDlg.java:99: error: cannot find symbol
        Graphic3d_MaterialAspect aMaterial = new Graphic3d_MaterialAspect (material);
        ^
  symbol: class Graphic3d_MaterialAspect
  location: class MaterialDlg
d:\install\CR28726_1-CR28726_1\Windows-64-VC10-opt\Products\samples\java\ImportExport\src\main\java\com\opencascade\samples\importexport\MaterialDlg.java:99: error: cannot find symbol
        Graphic3d_MaterialAspect aMaterial = new Graphic3d_MaterialAspect (material);
                                                 ^
  symbol: class Graphic3d_MaterialAspect
  location: class MaterialDlg
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.
4 errors
(0066437)
mkv (tester)
2017-05-23 10:34

Dear kgv,
Branch CR28726_1 has been rejected due to:
- compilation errors in samples
(0066447)
kgv (developer)
2017-05-23 12:05

Please check updated samples.
(0066530)
mkv (tester)
2017-05-24 15:20

Dear BugMaster,
Branch CR28726_1 from products git-repository was recompiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: bc4adcd26ec4a0b279f0e46edbaa7d4b6be83c6d

Number of compiler warnings:

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1205

There are not compilation errors on Windows platform in samples.
(0066531)
mkv (tester)
2017-05-24 15:21

Dear BugMaster,
Branch CR28726_1 from occt git-repository and branch CR28726_1 from products git-repository are TESTED.
(0066768)
git (administrator)
2017-05-29 16:06

Branch CR28726 has been deleted by kgv.

SHA-1: e26009c53d9a5751a265d8f6d5bc0d50949c1921
(0066769)
git (administrator)
2017-05-29 16:06

Branch CR28726_1 has been deleted by kgv.

SHA-1: 534e8677b7290ed30d704bd299338429a70e8df8

- Related Changesets
occt: master 1c37c956
Timestamp: 2017-05-11 15:10:53
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028726: Quantity_NameOfColor should be replaced by Quantity_Color in function input argument

AIS_InteractiveObject, virtual methods ::SetColor(), ::Color()
returning/accepting Quantity_NameOfColor have been removed.
Virtual method ::SetMaterial() accepting Graphic3d_NameOfMaterial has been also removed.

V3d_View, V3d_Viewer, V3d_AmbientLight, V3d_DirectionalLight,
V3d_Light, V3d_PositionalLight, V3d_SpotLight, Aspect_Window,
methods accepting Quantity_NameOfColor have been removed (duplicates)
or color argument(s) replaced with Quantity_Color.
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - samples/CSharp/OCCTProxy/OCCTProxy.cpp Diff ] File ]
mod - samples/CSharp/OCCTProxy_D3D/OCCTProxyD3D.cpp Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/Viewer3dDoc.cpp Diff ] File ]
mod - samples/mfc/standard/Common/OCC_3dBaseDoc.cpp Diff ] File ]
mod - samples/qt/Common/src/DocumentCommon.cxx Diff ] File ]
mod - src/AIS/AIS_AttributeFilter.cxx Diff ] File ]
mod - src/AIS/AIS_Axis.cxx Diff ] File ]
mod - src/AIS/AIS_Axis.hxx Diff ] File ]
rm - src/AIS/AIS_Axis.lxx Diff ] File ]
mod - src/AIS/AIS_Circle.cxx Diff ] File ]
mod - src/AIS/AIS_Circle.hxx Diff ] File ]
rm - src/AIS/AIS_Circle.lxx Diff ] File ]
mod - src/AIS/AIS_ColoredShape.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.hxx Diff ] File ]
mod - src/AIS/AIS_InteractiveObject.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveObject.hxx Diff ] File ]
mod - src/AIS/AIS_Line.cxx Diff ] File ]
mod - src/AIS/AIS_Line.hxx Diff ] File ]
rm - src/AIS/AIS_Line.lxx Diff ] File ]
mod - src/AIS/AIS_Plane.cxx Diff ] File ]
mod - src/AIS/AIS_Plane.hxx Diff ] File ]
rm - src/AIS/AIS_Plane.lxx Diff ] File ]
mod - src/AIS/AIS_PlaneTrihedron.cxx Diff ] File ]
mod - src/AIS/AIS_PlaneTrihedron.hxx Diff ] File ]
rm - src/AIS/AIS_PlaneTrihedron.lxx Diff ] File ]
mod - src/AIS/AIS_Point.cxx Diff ] File ]
mod - src/AIS/AIS_Point.hxx Diff ] File ]
rm - src/AIS/AIS_Point.lxx Diff ] File ]
mod - src/AIS/AIS_PointCloud.cxx Diff ] File ]
mod - src/AIS/AIS_PointCloud.hxx Diff ] File ]
mod - src/AIS/AIS_Relation.cxx Diff ] File ]
mod - src/AIS/AIS_Relation.hxx Diff ] File ]
rm - src/AIS/AIS_Relation.lxx Diff ] File ]
mod - src/AIS/AIS_Shape.cxx Diff ] File ]
mod - src/AIS/AIS_Shape.hxx Diff ] File ]
rm - src/AIS/AIS_Shape.lxx Diff ] File ]
mod - src/AIS/AIS_TextLabel.hxx Diff ] File ]
mod - src/AIS/AIS_Trihedron.hxx Diff ] File ]
mod - src/AIS/FILES Diff ] File ]
mod - src/Aspect/Aspect_Window.cxx Diff ] File ]
mod - src/Aspect/Aspect_Window.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_ArrowAspect.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_IsoAspect.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_LineAspect.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_LineAspect.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_PointAspect.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_PointAspect.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_ShadingAspect.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_TextAspect.hxx Diff ] File ]
mod - src/TPrsStd/TPrsStd_AISPresentation.cxx Diff ] File ]
mod - src/TPrsStd/TPrsStd_ConstraintDriver.cxx Diff ] File ]
mod - src/V3d/V3d_AmbientLight.cxx Diff ] File ]
mod - src/V3d/V3d_AmbientLight.hxx Diff ] File ]
mod - src/V3d/V3d_DirectionalLight.cxx Diff ] File ]
mod - src/V3d/V3d_DirectionalLight.hxx Diff ] File ]
mod - src/V3d/V3d_Light.cxx Diff ] File ]
mod - src/V3d/V3d_Light.hxx Diff ] File ]
mod - src/V3d/V3d_PositionalLight.cxx Diff ] File ]
mod - src/V3d/V3d_PositionalLight.hxx Diff ] File ]
mod - src/V3d/V3d_PositionLight.cxx Diff ] File ]
mod - src/V3d/V3d_SpotLight.cxx Diff ] File ]
mod - src/V3d/V3d_SpotLight.hxx Diff ] File ]
mod - src/V3d/V3d_View.cxx Diff ] File ]
mod - src/V3d/V3d_View.hxx Diff ] File ]
mod - src/V3d/V3d_Viewer.cxx Diff ] File ]
mod - src/V3d/V3d_Viewer.hxx Diff ] File ]
mod - src/V3d/V3d_View_4.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML.cxx Diff ] File ]
occt: master 87432b82
Timestamp: 2017-05-11 15:10:53
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028726: Quantity_NameOfColor should be replaced by Quantity_Color in function input argument

AIS_InteractiveObject, virtual methods ::SetColor(), ::Color()
returning/accepting Quantity_NameOfColor have been removed.
Virtual method ::SetMaterial() accepting Graphic3d_NameOfMaterial has been also removed.

V3d_View, V3d_Viewer, V3d_AmbientLight, V3d_DirectionalLight,
V3d_Light, V3d_PositionalLight, V3d_SpotLight, Aspect_Window,
methods accepting Quantity_NameOfColor have been removed (duplicates)
or color argument(s) replaced with Quantity_Color.
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - samples/CSharp/OCCTProxy/OCCTProxy.cpp Diff ] File ]
mod - samples/CSharp/OCCTProxy_D3D/OCCTProxyD3D.cpp Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/Viewer3dDoc.cpp Diff ] File ]
mod - samples/mfc/standard/Common/OCC_3dBaseDoc.cpp Diff ] File ]
mod - samples/qt/Common/src/DocumentCommon.cxx Diff ] File ]
mod - src/AIS/AIS_AttributeFilter.cxx Diff ] File ]
mod - src/AIS/AIS_Axis.cxx Diff ] File ]
mod - src/AIS/AIS_Axis.hxx Diff ] File ]
rm - src/AIS/AIS_Axis.lxx Diff ] File ]
mod - src/AIS/AIS_Circle.cxx Diff ] File ]
mod - src/AIS/AIS_Circle.hxx Diff ] File ]
rm - src/AIS/AIS_Circle.lxx Diff ] File ]
mod - src/AIS/AIS_ColoredShape.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.hxx Diff ] File ]
mod - src/AIS/AIS_InteractiveObject.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveObject.hxx Diff ] File ]
mod - src/AIS/AIS_Line.cxx Diff ] File ]
mod - src/AIS/AIS_Line.hxx Diff ] File ]
rm - src/AIS/AIS_Line.lxx Diff ] File ]
mod - src/AIS/AIS_Plane.cxx Diff ] File ]
mod - src/AIS/AIS_Plane.hxx Diff ] File ]
rm - src/AIS/AIS_Plane.lxx Diff ] File ]
mod - src/AIS/AIS_PlaneTrihedron.cxx Diff ] File ]
mod - src/AIS/AIS_PlaneTrihedron.hxx Diff ] File ]
rm - src/AIS/AIS_PlaneTrihedron.lxx Diff ] File ]
mod - src/AIS/AIS_Point.cxx Diff ] File ]
mod - src/AIS/AIS_Point.hxx Diff ] File ]
rm - src/AIS/AIS_Point.lxx Diff ] File ]
mod - src/AIS/AIS_PointCloud.cxx Diff ] File ]
mod - src/AIS/AIS_PointCloud.hxx Diff ] File ]
mod - src/AIS/AIS_Relation.cxx Diff ] File ]
mod - src/AIS/AIS_Relation.hxx Diff ] File ]
rm - src/AIS/AIS_Relation.lxx Diff ] File ]
mod - src/AIS/AIS_Shape.cxx Diff ] File ]
mod - src/AIS/AIS_Shape.hxx Diff ] File ]
rm - src/AIS/AIS_Shape.lxx Diff ] File ]
mod - src/AIS/AIS_TextLabel.hxx Diff ] File ]
mod - src/AIS/AIS_Trihedron.hxx Diff ] File ]
mod - src/AIS/FILES Diff ] File ]
mod - src/Aspect/Aspect_Window.cxx Diff ] File ]
mod - src/Aspect/Aspect_Window.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_ArrowAspect.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_IsoAspect.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_LineAspect.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_LineAspect.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_PointAspect.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_PointAspect.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_ShadingAspect.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_TextAspect.hxx Diff ] File ]
mod - src/TPrsStd/TPrsStd_AISPresentation.cxx Diff ] File ]
mod - src/TPrsStd/TPrsStd_ConstraintDriver.cxx Diff ] File ]
mod - src/V3d/V3d_AmbientLight.cxx Diff ] File ]
mod - src/V3d/V3d_AmbientLight.hxx Diff ] File ]
mod - src/V3d/V3d_DirectionalLight.cxx Diff ] File ]
mod - src/V3d/V3d_DirectionalLight.hxx Diff ] File ]
mod - src/V3d/V3d_Light.cxx Diff ] File ]
mod - src/V3d/V3d_Light.hxx Diff ] File ]
mod - src/V3d/V3d_PositionalLight.cxx Diff ] File ]
mod - src/V3d/V3d_PositionalLight.hxx Diff ] File ]
mod - src/V3d/V3d_PositionLight.cxx Diff ] File ]
mod - src/V3d/V3d_SpotLight.cxx Diff ] File ]
mod - src/V3d/V3d_SpotLight.hxx Diff ] File ]
mod - src/V3d/V3d_View.cxx Diff ] File ]
mod - src/V3d/V3d_View.hxx Diff ] File ]
mod - src/V3d/V3d_Viewer.cxx Diff ] File ]
mod - src/V3d/V3d_Viewer.hxx Diff ] File ]
mod - src/V3d/V3d_View_4.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-05-10 16:16 Vico Liang New Issue
2017-05-10 16:16 Vico Liang Assigned To => kgv
2017-05-11 18:11 git Note Added: 0065854
2017-05-11 18:19 kgv Note Added: 0065856
2017-05-11 18:19 kgv Assigned To kgv => san
2017-05-11 18:19 kgv Status new => resolved
2017-05-11 18:19 kgv Product Version => 7.1.0
2017-05-19 18:33 san Note Added: 0066346
2017-05-19 18:33 san Assigned To san => bugmaster
2017-05-19 18:33 san Status resolved => reviewed
2017-05-19 18:38 mkv Assigned To bugmaster => mkv
2017-05-19 19:28 git Note Added: 0066351
2017-05-22 17:07 mkv Note Added: 0066409
2017-05-22 17:08 mkv Note Added: 0066410
2017-05-22 17:08 mkv Assigned To mkv => kgv
2017-05-22 17:08 mkv Status reviewed => assigned
2017-05-22 17:08 mkv Test case number => Not needed
2017-05-22 18:25 git Note Added: 0066419
2017-05-22 18:26 git Note Added: 0066420
2017-05-22 18:28 git Note Added: 0066421
2017-05-22 19:36 git Note Added: 0066426
2017-05-22 19:39 kgv Note Added: 0066429
2017-05-22 19:39 kgv Assigned To kgv => bugmaster
2017-05-22 19:39 kgv Status assigned => resolved
2017-05-22 19:39 kgv Status resolved => reviewed
2017-05-22 20:04 mkv Assigned To bugmaster => mkv
2017-05-23 10:33 mkv Note Added: 0066436
2017-05-23 10:34 mkv Note Added: 0066437
2017-05-23 10:34 mkv Assigned To mkv => kgv
2017-05-23 10:34 mkv Status reviewed => assigned
2017-05-23 12:05 kgv Note Added: 0066447
2017-05-23 12:05 kgv Assigned To kgv => bugmaster
2017-05-23 12:05 kgv Status assigned => resolved
2017-05-23 12:05 kgv Status resolved => reviewed
2017-05-23 12:07 mkv Assigned To bugmaster => mkv
2017-05-24 15:20 mkv Note Added: 0066530
2017-05-24 15:21 mkv Note Added: 0066531
2017-05-24 15:21 mkv Assigned To mkv => bugmaster
2017-05-24 15:21 mkv Status reviewed => tested
2017-05-26 14:28 bugmaster Changeset attached => occt master 1c37c956
2017-05-26 14:28 bugmaster Status tested => verified
2017-05-26 14:28 bugmaster Resolution open => fixed
2017-05-26 14:56 bugmaster Changeset attached => occt master 87432b82
2017-05-29 16:06 git Note Added: 0066768
2017-05-29 16:06 git Note Added: 0066769
2017-08-24 15:09 kgv Relationship added parent of 0029047


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker